Page MenuHomePhabricator

Application should default to user/phone locale
Closed, ResolvedPublic

Description

Just installed a newer version, and it was in greek.. Or what looked greek. With Qatar/AF selected in both combo boxes

It should default to the users phone locale or something, not the first item in the list

Can we also get some labels to go with them? Thanks!


Version: 1.0.0 (Android)
Severity: minor

Details

Reference
bz32005

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 11:57 PM
bzimport set Reference to bz32005.
Reedy created this task.Oct 28 2011, 1:19 AM
brion added a comment.Oct 31 2011, 2:10 AM

It is in fact attempting to default to the user's locale language, but the settings bit doesn't seem to match up properly.

philinje wrote:

Assuming this is fixed, but maybe more language setting issues will surface.

Closing out.

brion added a comment.Dec 23 2011, 9:24 PM

Does not appear to be fixed; currently always defaults to loading up English.

(The localized strings come up properly, but not the language we're viewing the site in.)

I'm not sure that that's still the case because i don't have a phone for testing, but what Reedy saw was probably not "Qatar/AF", but "Qafár af". It is the native name of the [[Afar language]] and it often appears first in the list, because its ISO 639 code is "aa".

brion added a comment.Dec 25 2011, 3:44 PM

That part of the problem I think has been resolved -- the selector box now comes up properly with "English" selected. But we should only be selecting English to begin with if the system locale is English. :)

philinje wrote:

The way this works now, the Wikipedia language follows the phone language at the beginning. If the user changes the language in the app, it remains in that language.

We may want to consider an approach where the Wikipedia language always follows the phone language. Thoughts?

@Phil: Bad idea. Wikipedia supports *way* more languages than any Phone.

Should be fixed now?

Closing since it works. Re-open if it doesn't default anywhere.